# EVERYBODY'S GOLF: Hot Shots EUR 1.1.3
# BID: D3CA3F7A4AE6F9A0
# Changed frametime target value math formula because default one sucks at 60 FPS target

DECLARATIONS:
  -
    type: variable
    name: dr_frametime_max
    value_type: double
    default_value: 40
    evaluate: "0.9 * FRAMETIME_TARGET"
  -
    type: variable
    name: dr_frametime_min
    value_type: double
    default_value: 33.3333333333
    evaluate: "(0.9 * FRAMETIME_TARGET) - 6"
MASTER_WRITE:
  -
    type: asm_a64
    main_offset: 0x39259A8
    instructions: [
      [adrp, x10, $dr_frametime_max],
      [ldr, d1, [x10, $dr_frametime_max]],
      [nop]
    ]
  -
    type: asm_a64
    main_offset: 0x3925A7C
    instructions: [
      [adrp, x10, $dr_frametime_min],
      [ldr, d1, [x10, $dr_frametime_min]],
      [nop],
      [nop]
    ]